Subject: Re: bug#22471: ert batch should print compile parsable error messages

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 22:01:17 +0200

Stefan Kangas <[email-masked]> writes:

> Right, I'm just wondering what has changed as presumably the patch
> worked when Phillip Lord first wrote it?

Oh, I interpreted the branch as a sketch towards a solution but I see
that he posted apparent output from it, too:

> I put a quick attempt at this up on feature/parsable-ert-output.
> 
>    passed 22/24 sisyphus-test-with-find-file at test/sisyphus-test.el
> line 277.
>    passed  23/24  to-string at test/sisyphus-test.el line 96.
>    passed  24/24  with-temp-buffers at test/sisyphus-test.el line 232.

So it worked at one point?  (I'm not able to compile that branch at
all -- it segfaults while bootstrapping.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no